﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace WindowsGame1.GameObjects.Powerups
{
    class EnergyTank : Powerup
    {
        public EnergyTank()
        {
            this.BoundingBox = new Rectangle(0, 0, 16, 16);
            this.TextureName = "Powerup.EnergyTank.1";
        }

        private const int AnimationCycleTicks = 7;

        internal override void Tick()
        {
            if ((this.GameLevel.CurrentTickNumber % (AnimationCycleTicks * 2)) >= AnimationCycleTicks)
                this.TextureName = "Powerup.EnergyTank.2";
            else
                this.TextureName = "Powerup.EnergyTank.1";

            base.Tick();
        }

        public override void CollideWithPlayer(PlayerObject player)
        {
            // TODO: increment etank count
            this.GameLevel.SoundEffects["Powerup.SFX.EnergyTank"].Play();
            this.GameLevel.GameObjects.Remove(this);
        }
    }
}
