﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace WindowsGame1.GameObjects.Powerups
{
    class ExtraLife : Powerup
    {
        public ExtraLife()
        {
            this.TextureName = "Powerup.ExtraLife";
            this.BoundingBox = new Rectangle(0, 0, 16, 16);
        }

        public override void CollideWithPlayer(PlayerObject player)
        {
            // TODO: play extra life sound .. is this correct?
            this.GameLevel.SoundEffects["Powerup.SFX.EnergyTank"].Play();
            player.Lives++;
            this.GameLevel.GameObjects.Remove(this);
        }
    }
}
