﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Audio;

namespace WindowsGame1.GameObjects.Powerups
{
    class LargeHealthPellet : HealthPellet
    {
        public LargeHealthPellet()
        {
            this.HealAmount = 18.0f;
            this.BoundingBox = new Rectangle(0, 0, 16, 16);
            this.TextureName = "Powerup.LargeHealth.1";
        }

        private const int AnimationCycleTicks = 7;

        internal override void Tick()
        {
            if ((this.GameLevel.CurrentTickNumber % (AnimationCycleTicks * 2)) >= AnimationCycleTicks)
                this.TextureName = "Powerup.LargeHealth.2";
            else
                this.TextureName = "Powerup.LargeHealth.1";

            base.Tick();
        }

    }
}
