﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace WindowsGame1.GameObjects.Powerups
{
    class SmallWeaponPellet : WeaponPellet
    {
        public SmallWeaponPellet()
        {
            this.WeaponRefillAmount = 2.0f;
            this.BoundingBox = new Rectangle(0, 0, 8, 8);
            this.TextureName = "Powerup.SmallWeaponRefill.1";
        }

        private const int AnimationCycleTicks = 7;

        internal override void Tick()
        {
            if ((this.GameLevel.CurrentTickNumber % (AnimationCycleTicks * 2)) >= AnimationCycleTicks)
                this.TextureName = "Powerup.SmallWeaponRefill.2";
            else
                this.TextureName = "Powerup.SmallWeaponRefill.1";

            base.Tick();
        }
    }
}
