uniform extern texture ScreenTexture;    

float4 PixColor;

sampler ScreenS = sampler_state
{
    Texture = <ScreenTexture>;    
};


float4 PixelShader(float2 texCoord: TEXCOORD0) : COLOR
{
    // TODO: add your pixel shader code here.
	float4 Color = tex2D(ScreenS, texCoord.xy);
	
	if (Color.a > 0)
	{
		Color.rgb = PixColor.rgb;
		Color.a = 1;
	}
	else
	{
		Color.a = 0;
	}
	
    return Color;
}

technique
{
    pass P0
    {
        PixelShader = compile ps_1_1 PixelShader();
    }
}
