﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microsoft.Xna.Framework;
using WindowsGame1.GameObjects;

namespace WindowsGame1
{
    class GameObjectCollection : IndexableCollection<GameObject>
    {
        public IEnumerable<GameObject> GetObjectsIntersecting(Rectangle rect)
        {
            // TODO: This should be done with some sort of spatial index.
            return this.Where(so => so.BoundingBox.Intersects(rect)).ToArray();
        }
    }
}
