﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Audio;

namespace WindowsGame1.GameObjects
{
    class BusterProjectile : Projectile
    {
        public BusterProjectile(int x, int y, float xSpeed)
        {
            this.TextureName = "Weapons.Buster";
            this.BoundingBox = new Rectangle(x - 4, y - 3, 8, 6);
            this.Velocity = new Vector2(xSpeed, 0.0f);
            this.DamageDealt = 1;
        }

        public const float FireSpeed = 4.0f;
    }
}
