﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace WindowsGame1.GameObjects.Powerups
{
    class LargeWeaponPellet : WeaponPellet
    {
        public LargeWeaponPellet()
        {
            this.WeaponRefillAmount = 18.0f;
            this.BoundingBox = new Rectangle(0, 0, 16, 12);
            this.TextureName = "Powerup.LargeWeaponRefill.1";
        }

        private const int AnimationCycleTicks = 7;

        internal override void Tick()
        {
            if ((this.GameLevel.CurrentTickNumber % (AnimationCycleTicks * 2)) >= AnimationCycleTicks)
                this.TextureName = "Powerup.LargeWeaponRefill.2";
            else
                this.TextureName = "Powerup.LargeWeaponRefill.1";

            base.Tick();
        }
    }
}
